@font-face {
	font-family: 'poppins-light';
	font-style: normal;
	font-weight: 400;
	font-display: fallback;
	src: url('../fonts/Poppins-ExtraLight.ttf');
}

@font-face {
	font-family: 'poppins-regular';
	font-style: normal;
	font-weight: 400;
	font-display: fallback;
	src: url('../fonts/Poppins-Medium.ttf');
}

@font-face {
	font-family: 'poppins-bold';
	font-style: normal;
	font-weight: 400;
	font-display: fallback;
	src: url('../fonts/Poppins-Bold.ttf');
}


.light {
	font-family: 'poppins-light';
}
.regular {
	font-family: 'poppins-regular';
}
.bold {
	font-family: 'poppins-bold';
}



body {
	margin: 0;
	padding: 0;
	font-family: 'Arial', sans-serif;
	background-color: #f4f4f4;
	color: #333;
}

h1, h2, h3, h4, h5, h6 {
	font-family: 'poppins-bold', sans-serif;
}

p {
	font-family: 'poppins-light', sans-serif;
}

a {
	text-decoration: none;
}

nav {
	background: black;
	width: 100%;
	z-index: 1;
	position: sticky;
	top: 0;
	padding: 10px 0;
}

.background {
	height: 100%;
	width: 100%;
	background-size: cover;
	position: absolute;
	z-index: -2;
	top: 0;
	left: 0;
}

.backdrop {
	height: 100vh;
	width: 50%;
	background: rgba(0,0,0,0.7);
	z-index: -1;
	position: absolute;
	top: 0;
}


/* .content {
	width: 100%;
	max-width: 800px;
	margin: 0 auto;
} */

header {
	/* background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url('your-background-image.jpg') center/cover no-repeat; */
	/* height: 100vh; */
	/* display: flex; */
	/* flex-direction: column; */
	align-items: center;
	justify-content: center;
	text-align: center;
	color: #fff;
	background-size: cover;
	position: relative;
	height: calc(100vh - 100px);
}

header h1 {
	font-size: 3em;
	margin: 0;
	/* color: #000; */
	/* text-shadow: 0 0 1px #fff; */
}

header h3 {
	font-size: 1.6em;
	/* margin: 10px 0; */
	/* font-style: italic; */
	/* color: #111; */
	/* text-shadow: 0 0 2px #fff; */
}

header p {
	font-weight: lighter;
	font-size: 1.2em;
	max-width: 500px;
}


.column {
	flex: 1;
	/* padding: 20px; */
}

section {
	position: relative;
	text-align: center;
	padding: 50px 0px;
	height: 80vh;
}

section h2 {
		font-size: 2.5em;
		margin-bottom: 0;
}

section p {
		font-size: 1.2em;
		max-width: 800px;
		margin: 0 auto;
}

button {
	display: inline-block;
	background: none;
	color: #fff;
	padding: 10px 15px;
	/* font-size: 1.2em; */
	font-size: 100%;
	border: none;
	border-radius: 4px;
	cursor: pointer;
	transition: background-color 0.3s ease;
	opacity: 0.9;
	box-shadow: 1px 1px 3px #111;
}

button:hover {
	color: #5244f5;
	opacity: 1;
}


.primary-background {
	background: #5244f5;
	color: white;
}
.primary-foreground {
	color: #5244f5;
	background: white;
}
.secondary-background {
	color: #111;
	background: white;
}

button.primary-background:hover {
	color: white;
}



#menu-button {
	position: absolute;
	top: 0;
	right: 0;
}



.dropbtn {
	cursor: pointer;
	margin: 1px 10px;
	box-shadow: none;
	padding: 20px;
}

.dropdown {
	position: relative;
	display: inline-block;
	z-index: 2;
}

.dropdown-content {
	/* display: none; */
	position: absolute;
	right: 0;
	background-color: #f9f9f9;
	min-width: 160px;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	z-index: 99999;
	margin-right: 10px;
}

.dropdown-content a {
	color: black;
	padding: 12px 16px;
	text-decoration: none;
	display: block;
}

.dropdown-content a:hover {background-color: #f1f1f1;}
/* .dropdown:hover .dropdown-content {display: block;} */
.dropdown:hover .dropbtn {color: #5143f4;}





.modal {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	z-index: 9999;
	background: white;
	color: black;
	padding: 50px;
	border-radius: 20px;
	min-width: 250px;
	box-shadow: 0 0 10px;
	max-height: 80vh;
	overflow-y: scroll;
}

.close-modal {
	position: absolute;
	right: 20px;
	top: 10px;
	font-size: 24px;
	cursor: pointer;
}





form {
	max-width: 250px;
	margin: 0 auto;
	text-align: left;
}


label, input {
	display: block;
}

input {
	padding: 10px;
	margin-bottom: 20px;
	width: 100%;
	box-sizing: border-box;
	border-radius: 3px;
	border: 1px solid;
}

input[type="submit"] {
	background: #5143f4;
	color: white;
	border: none;
	cursor: pointer;
	font-weight: bolder;
	box-shadow: 1px 1px 3px #222;
	font-size: 100%;
}


.outer {
	display: table;
	height: 100vh;
	width: 100vw;
	text-align: center;
}

.inner {
	display: table-cell;
	vertical-align: middle;
}


#auth-wrapper {
	position: relative;
	z-index: 99;
}

#auth-wrapper .outer {
	position: fixed;
	top: 50%;
	left: 50%;
	background: white;
	color: black;
	transform: translate(-50%, -50%);
	height: auto;
	width: 450px;
	max-width: 90vw;
	border-radius: 20px;
}

#auth-wrapper .inner {
	position: relative;
	box-shadow: 0 0 10px;
	border-radius: 20px;
	overflow-y: scroll;
	max-height: 90vh;
	display: block;
}

#auth-wrapper .inner .close {
	position: absolute;
}

#auth-wrapper a {
	cursor: pointer;
}




#notifications {
	position: fixed;
	bottom: 20px;
	right: 20px;
	height: auto;
	width: auto;
	z-index: 9999;
}

.notification {
	background: rgba(255,255,255,0.95);
	padding: 10px 15px;
	border-radius: 20px;
	box-shadow: 0 0 5px #222;
	margin: 10px 0;
	color: black;
}


.flex {
	display: flex;
}


footer {
	position: fixed;
	bottom: 0;
	left: 0;
	width: auto;
	padding: 10px;
	text-align: left;
	font-size: 14px;
	opacity: 0.4;
}

footer span, footer a {
	color: #444;
	text-decoration: none;
}

figure {
	position: fixed;
	z-index: 1;
	background: black;
	left: 0;
	top: 0;
	/* width: calc(100% - 20px); */
	width: 100%;
	margin: 0;
	/* padding: 0px 20px; */
	color: white;
	font-weight: bolder;
	text-align: center;
}

figure span {
	text-decoration: underline;
	cursor: pointer;
}


@media only screen and (max-width: 600px) {
	.column {
		width: 100%;
		flex: auto;
	}
	header .column:nth-of-type(2) {
		display: none;
	}
	.flex {
		display: block;
	}
	.primary-background {
		width: 100%:
	}
}









